> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/retrieve-available-currencies.md).

# Retrieve available currencies

Use the **getAvailableCurrencies** method via JSON-RPC API 6.0 to get the list of available currencies. If the `countryCode` parameter is added, the `paymentMethod` parameter also becomes mandatory (you need to use both parameters or none).

## Request parameters <a href="#request-parameters" id="request-parameters"></a>

<table><thead><tr><th width="148.933349609375">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionId</code></td><td><p>Required (string)</p><p>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionId</code> into all your requests. 2Checkout throws an exception if the values are incorrect. The <code>sessionId</code> expires in 10 minutes.</p></td></tr><tr><td><code>countryCode</code></td><td><p><strong>Required (string)</strong></p><p>The ISO country code (two-letter code). If the <code>countryCode</code> parameter is used, the <code>paymentMethod</code> parameter must be used as well and both parameters are mandatory.</p></td></tr><tr><td><code>paymentMethod</code></td><td><p><strong>Required (string)</strong></p><p>The payment method for which you are retrieving the list of available currencies.</p></td></tr></tbody></table>

### Request sample <a href="#request-example" id="request-example"></a>

```php
<?php

include('Config.php');

// Grab Config Values
$config = new ConfigScripts();
$apiVersion = '6.0';
$i = 1;
$host = 'http://api.avangate.local:8081/rpc/' . $apiVersion . "/";

// Login to get the session id;
$sessionID = $config->rpcLogin($host);

$countryCode = 'ro';
$paymentMethod = 'CC';

$jsonRpcRequest = array (
  'jsonrpc' => '2.0',
  'id' => $i++,
  'method' => 'getAvailableCurrencies',
//  'params' => [$sessionID]
  'params' => [$sessionID, $countryCode, $paymentMethod]
);

$response = $config->callRPC($jsonRpcRequest, $host, true);

print_r(json_encode($response));


?>
```

## Response parameters <a href="#response" id="response"></a>

<table><thead><tr><th width="120.13330078125">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>currencies</code></td><td><p><strong>Array</strong></p><p>An array of currency objects.</p></td></tr></tbody></table>

### Response sample <a href="#response-example" id="response-example"></a>

```php
[
  {
      "Code":"USD",
      "ISO3DigitCode":"840",
      "Label":"United States Dollar",
      "Symbol":"$",
      "SymbolPosition":"left",
      "DecimalSeparator":".",
      "UnitSeparator":",",
      "Decimals":"2"
   }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/retrieve-available-currencies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
